pom = get(findobj('Label','Graphics'),'Child');
if strcmp(get(pom(1),'Checked'),'off') & strcmp(get(pom(2),'Checked'),'off') & strcmp(get(pom(3),'Checked'),'off')
   ready(5)=0;
   set(findobj('Label','Start simulation'),'Enable','off')   
end
clear pom
if ready==[1 1 1 1 1 1]
   set(findobj('Label','Start simulation'),'Enable','on')
end

if ready(2)==1 & ready(3)==1
   set(findobj('Label','Initial values'),'Checked','on')  
end

if ~isempty(findobj('Name','Introduced parameters gallery'))
  show_uc2;
end

if ~isempty(findobj('Name','The sign of the high frequency gain is unknown.'))
   figure(findobj('Name','The sign of the high frequency gain is unknown.'))
   cla
   asp = [ready(1:3), ready(6)];
   gr = ready(5);
   sim = ready(4);
   if asp == [1 1 1 1]
     han(1) = text(-0.1,0.7,'Adaptive system parameters: set');
   else
     han(1) = text(-0.1,0.7,'Adaptive system parameters: not set');
   end
   if gr == 1
     han(2) = text(-0.1,0.5,'Graphics: set');
   else
     han(2) = text(-0.1,0.5,'Graphics: not set');
   end
   if sim == 1
     han(3) = text(-0.1,0.3,'Simulation: set');
   else
     han(3) = text(-0.1,0.3,'Simulation: not set');
   end
   %set(han,'HorizontalAlignment','left','FontName','Courier','Color',[1 1 0]);
   set(han,'HorizontalAlignment','left','FontSize',10,'Color',[1 1 1]);
   axis off
   clear asp gr sim han
end
