% Pawel Stadnik July 29 1996
% All Rights Reserved

save tmp_$$$.mat Identity Sys n filter_polynomial rho desired_polynomial init_est ...
                 init_st number_of_iter RLS_par NLMS_par LMS_par threshold casc ...
                 window combination ready

[name,pathname] = uigetfile('*.mat','Load');
if isstr(name)
  filename = [pathname name];
  eval(['load ',filename]);
  clear filename
  if strcmp(Identity,'Pole Placement')==1
    set(findobj('Label','Unknown system'),'Checked','on')
    ready(1)=1;n=length(Sys)/2;
    set(findobj('Label','Initial values'),'enable','on')
    if ~isempty(filter_polynomial)
        set(findobj('Label','Filter (optional)'),'Checked','on','Enable','on')
        ready(2)= 1;
    else
        set(findobj('Label','Filter (optional)'),'Checked','off','Enable','on')
        ready(2)= 0;
    end     
    if ~isempty(desired_polynomial)
        set(findobj('Label','Closed-loop characteristic polynomial'),'Checked','on','Enable','on')
        ready(3)= 1;
    else
        set(findobj('Label','Closed-loop characteristic polynomial'),'Checked','off','Enable','on')
        ready(3)= 0;
    end     
    if ~isempty(init_est)
        set(findobj('Label','Initial estimates'),'Checked','on','Enable','on')
        ready(5)= 1;
    else
        set(findobj('Label','Initial estimates'),'Checked','off','Enable','on')
        ready(5)= 0;
    end     
    if ~isempty(init_st)
        set(findobj('Label','An initial state of the system'),'Checked','on','Enable','on')
        ready(6)= 1;
    else
        set(findobj('Label','An initial state of the system'),'Checked','off','Enable','on')
        ready(6)= 0;
    end     
    if ~isempty(number_of_iter)
        set(findobj('Label','Number of iterations'),'Checked','on','Enable','on')
        ready(7)= 1;
    else
        set(findobj('Label','Number of iterations'),'Checked','off','Enable','on')
        ready(7)= 0;
    end     

    if ~isempty(RLS_par)
        set(findobj('Label','Recursive Least Square'),'Checked','on','Enable','on')
        ready(4)= 1;
    else
        set(findobj('Label','Recursive Least Square'),'Checked','off','Enable','on')
    end     
    if ~isempty(NLMS_par)
        set(findobj('Label','Normalized Least Mean Square'),'Checked','on')
        ready(4)= 1;
    else
        set(findobj('Label','Normalized Least Mean Square'),'Checked','off')
    end     
    if ~isempty(LMS_par)
        set(findobj('Label','Least Mean Square'),'Checked','on')
        ready(4)= 1;
    else
        set(findobj('Label','Least Mean Square'),'Checked','off')
    end     
    if isempty(RLS_par) & isempty(NLMS_par) & isempty(LMS_par)
       ready(4)=0;
    end

    if any(casc)
        set(findobj('Label','Cascade'),'Checked','on')
        ready(8)= 1;
    else
        set(findobj('Label','Cascade'),'Checked','off')
    end     
    if any(any(window(1:5,1:6)))
        set(findobj('Label','Tile'),'Checked','on')
        ready(8)= 1;
    else
        set(findobj('Label','Tile'),'Checked','off')
    end     
    if any(any(combination))
        set(findobj('Label','Combination'),'Checked','on')
        ready(8)= 1;
    else
        set(findobj('Label','Combination'),'Checked','off')
    end     
    if any(any(phases))
        set(findobj('Label','Phase portraits'),'Checked','on','Enable','on')
        ready(8)= 1;
    else
        set(findobj('Label','Phase portraits'),'Checked','off','Enable','on')
    end    
    if ~any(casc) & ~any(any(window(1:5,1:6))) & ~any(any(combination)) & ~any(any(phases))
       ready(8)=0;
    end
    if ~isempty(findobj('Name','Introduced parameters gallery'))
      show_pp
    end
    check_pp;
  else
    errormes('Not_pp')
    clear
    load tmp_$$$.mat
  end
end         

clear name pathname
delete tmp_$$$.mat

