function [x] = s2x0(theta,psi)

%
%
%

% psi = [y(k) y(k-1) ... y(k-n+1) u(k-1) u(k-2) ... u(k-n+1)]'
% theta = [-a(n-1) ... -a(0) b(n-1) ... b(0)]

theta = theta(:);

N = length(theta);n = N/2;

a = -theta(1:n);  % a = [a(n-1) ... a(0)]'
b = theta(n+1:N); % b = [b(n-1) ... b(0)]'
if ( n ~= 1)
   a = a(2:n); b = b(2:n);
   a = flipud(a); b = flipud(b) ;
   M1 = zeros(n-1,1);M2=[];
   for index = 1:n-1
        M1 = [M1 [zeros(index-1,1) ; -a(1:n-index)]];
        M2 = [M2 [zeros(index-1,1) ; b(1:n-index)]];
   end
   M=[[M1 M2] ; [ 1 zeros(1,N-2)]];
else M = 1;
end

x = M*psi;
