function [] = var_mr(y,y_r,u,model_error,r,da_in_ratio,rs_ou_ratio)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-350 screen(4)/2-300 700 600],'Resize','off',...
        'Name','Calculated variables gallery');
axis off

y = y(:)';
y_r = y_r(:)';
u = u(:)';
model_error = model_error(:)';
r = r(:)';
da_in_ratio = da_in_ratio(:)';
rs_ou_ratio = rs_ou_ratio(:)';

call = ['set(findobj(''UserData'',''listbox''),''Value'',get(gco,''Value'')),',...
        'set(findobj(gcf,''Style'',''edit''),''String'',get(gco,''Value''))'];

handle = text(0,1.03,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[20 310 140 240],...
          'String',y,'Userdata','listbox','BackGroundColor',[1 1 1],'CallBack',call);
          
handle = text(0,0.44,'Reference output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[20 20 140 240],...
          'String',y_r,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.3,1.03,'Input');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[190 310 140 240],...
          'String',u,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.3,0.44,'Model error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[190 20 140 240],...
          'String',model_error,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.65,1.03,'Reference signal');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[370 310 140 240],...
          'String',r,'UserData','listbox',...
          'BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.65,0.44,'Reference/system output ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[370 20 140 240],...
          'String',rs_ou_ratio,'UserData','listbox',...
          'BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.95,1.03,'Desired/actual input ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[540 310 140 240],...
          'String',da_in_ratio,'UserData','listbox',...
          'BackGroundColor',[1 1 1],'CallBack',call);


call1 =['if ~isempty(str2num(get(gco,''String''))) & str2num(get(gco,''String''))>0 &',...
        '     str2num(get(gco,''String''))<=length(y),',... 
         'set(findobj(''UserData'',''listbox''),''Value'',str2num(get(gco,''string''))),end'];
handle = text(0.9,0.27,'Iteration');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','edit','Position',[550 150 80 20],'String',1,...
          'BackGroundColor',[1 1 1],'Callback',call1);



uicontrol('Style','Pushbutton','String','Close',...
          'Position',[550 50 80 20],...
          'Callback','close(gcf)')
