function [] = var_pp(y,y_est,u,e,est_error,da_in_ratio)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-350 screen(4)/2-300 700 600],'Resize','off',...
        'Name','Calculated variables gallery');
axis off

y = y(:)';
y_est = y_est(:)';
u = u(:)';
e = e(:)';
est_error = est_error(:)';
da_in_ratio = da_in_ratio(:)';

call = ['set(findobj(''UserData'',''listbox''),''Value'',get(gco,''Value'')),',...
        'set(findobj(gcf,''Style'',''edit''),''String'',get(gco,''Value''))'];

handle = text(0,1.03,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[20 310 140 240],...
          'String',y,'Userdata','listbox','BackGroundColor',[1 1 1],'CallBack',call);
          
handle = text(0,0.45,'Predicted output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[20 20 140 240],...
          'String',y_est,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.3,1.03,'Input');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[190 310 140 240],...
          'String',u,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.3,0.45,'Error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[190 20 140 240],...
          'String',e,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.65,1.03,'Estimation error');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[370 310 140 240],...
          'String',est_error,'UserData','listbox',...
          'BackGroundColor',[1 1 1],'CallBack',call);

handle = text(0.95,1.03,'Desired/actual input ratio');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[540 310 140 240],...
          'String',da_in_ratio,'UserData','listbox',...
          'BackGroundColor',[1 1 1],'CallBack',call);


call1 =['if ~isempty(str2num(get(gco,''String'')))& str2num(get(gco,''String''))>0 &',...
        '     str2num(get(gco,''String''))<=length(y),',...    
        'set(findobj(''UserData'',''listbox''),''Value'',str2num(get(gco,''string''))),end'];
handle = text(0.83,0.27,'Iteration');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','edit','Position',[500 150 80 20],'String',1,...
          'BackGroundColor',[1 1 1],'Callback',call1);
 


uicontrol('Style','Pushbutton','String','Close',...
          'Position',[500 50 80 20],...
          'Callback','close(gcf)')
