function [] = warnmes(str,n)

if ~isempty(findobj('Name','Warning'))
   close(findobj('Name','Warning'))
end

%set(findobj('Type','figure'),'WindowButtonMotionFcn',['if findobj(''Name'',''Warning''),',...
%                                 'figure(findobj(''Name'',''Warning'')),end'])

set(findobj('Type','figure'),'WindowButtonDownFcn',['if findobj(''Name'',''Warning''),',...
                                 'disp(sprintf(''\a'')),end'])

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-150 screen(4)/2-75 300 150],'Resize','off',...
        'Name','Warning','WindowStyle','modal');
axis off



if strcmp(str,'rho')
  set(fig,'Position',[screen(3)/2-250 screen(4)/2-75 500 150]);
  handle = text(0.5,0.6,'The "rho" parameter is not greater than maximal eigenvalue of F.');

end

set(handle,'HorizontalAlignment','center')

pos = get(fig,'Position');
uicontrol(fig,'Style','Pushbutton','Position',[pos(3)/2-20 20 40 20],...
          'String','OK','Callback','close(gcf)')
