% Pawel Stadnik August 30 1997
% All Rights Reserved


if ~isempty(findobj('Name','Cascade'))
   figure(findobj('Name','Cascade'))
   return
end
if ~isempty(findobj('Name','The sign of the high frequency gain is unknown.'))
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
             'Position',[screen(3)/2-300 screen(4)/2-175 600 350],...
             'Resize','off','Name','Cascade');
  axis off

  handle = text(-0.1,0.9,'The plots of selected magnitudes will be displayed in a cascade:');
  set(handle,'HorizontalAlignment','left','Color',[1 1 1])


  uicontrol('Style','checkbox','Position',[150 230 180 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',casc(1),...
            'Callback','casc(1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[150 180 180 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',casc(2),...
            'Callback','casc(2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[150 130 180 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','k','Value',casc(3),...
            'Callback','casc(3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[150 80 180 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Phase portrait (k,output)','Value',casc(4),...
            'Callback','casc(4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[150 30 180 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Switching function','Value',casc(5),...
            'Callback','casc(5)=get(gco,(''Value''));')

uicontrol(fig,'Style','Pushbutton','Position',[450 175 75 20],...
          'String','OK','Callback',...
          ['close(gcf),if ~isempty(find(casc)),',...
             'set(findobj(''Label'',''Cascade''),''Checked'',''on''),',...
             'ready(5)=1;',...
           'else set(findobj(''Label'',''Cascade''),''Checked'',''off''),',...
           'end,check_u2'])

uicontrol(fig,'Style','Pushbutton','Position',[450 125 75 20],...
          'String','Cancel','UserData',casc,...
          'Callback','casc = get(gco,''UserData'');close(gcf)')
clear fig screen handle
end











