function [] = info_au()

screen = get(0,'ScreenSize');

if ~isempty(findobj('Name','About the program'))
   figure(findobj('Name','About the program'))
   return
else
  fig = figure('NumberTitle','off','Name','About the program','Resize','off',...
               'Position',[screen(3)/2-300 screen(4)/2-150 600 300],...
               'Menubar','none');
  axis off
  screen = get(fig,'Position');
  handle(1)=text(-0.1,0.9,'This demo package enables the user to observe behavior and properties of');
  handle(2)=text(-0.1,0.8,'adaptive systems presented in the book "Adaptive Systems: An Introduction"');
  handle(3)=text(-0.1,0.7,'by I.M.Y. Mareels and J.W. Polderman.');
  handle(4)=text(-0.1,0.55,'The structure of systems in the program is fixed, the user can vary all');
  handle(5)=text(-0.1,0.45,'the systems parameters and select system variables to be observed.');       
  handle(6)=text(-0.1,0.35,'The names of the variables and parameters coincide with one in the book.');
  handle(7)=text(-0.1,0.2,'A number of graphical and i/o facilities makes this program user friendly.');

  set(handle,'HorizontalAlignment','left','Color',[1 1 0])

  uicontrol('Style','Pushbutton','String','OK',...
            'Position',[280 20 40 20],'Callback','close(gcf)');

end
