function [phi_u_tmp,phi_y_tmp,v_tmp,y_r_tmp] = ...
          phi_uy(phi_u_tmp,phi_y_tmp,v_tmp,y_r_tmp,x_u,x_y,u,r,E_poly)

%
%
%

[n,m] = size(phi_u_tmp);
n_r = length(E_poly);

value1 = x_u - (E_poly(2:n_r)'*phi_u_tmp')';
value2 = x_y - (E_poly(2:n_r)'*phi_y_tmp')';
value3 = u - E_poly(2:n_r)'*v_tmp';
value4 = r - E_poly(2:n_r)'*y_r_tmp';

phi_u_tmp = [value1 phi_u_tmp(:,1:m-1)];
phi_y_tmp = [value2 phi_y_tmp(:,1:m-1)];
v_tmp = [value3 v_tmp(1:m-1)];
y_r_tmp = [value4 y_r_tmp(1:m-1)];
