% This function saves all parameters for Pole Placement algorithm in
% MAT-files .

% Pawel Stadnik July 18 1996
% All Rights Reserved

if isempty(Sys)
   errormes('Set_Sys')
   return
end
[name,pathname] = uiputfile('*.mat','Save');
if isstr(name)
  filename = [pathname name];
  eval(['save ',filename,' Identity Sys desired_polynomial',...
                 ' filter_polynomial init_est init_st number_of_iter',...
                 ' threshold rho RLS_par NLMS_par LMS_par casc window combination phases']);
  clear filename
end
clear name pathname 

