if ~isempty(findobj('Name','k(0)'))
   figure(findobj('Name','k(0)'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','k(0)');
axis off

handle(1) = text(0,0.9,'The controller is represented by:');
handle(2) = text(0,0.75,' u(t) = s(k)*k(t)*y(t).');
handle(3) = text(0,0.6,'  k''(t) = y(t)^2');
handle(4) = text(0,0.35,'k(0) = ');
set(handle,'HorizontalAlignment','left')

uicontrol(fig,'Style','edit','Position',[100 70 75 20],'UserData','k0',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'String',num2str(k0))

call = ['value=str2num(get(findobj(''UserData'',''k0''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else k0=value;close(gcf),',...
          'set(findobj(''Label'',''Initial value of k''),''Checked'',''on''),',...
          'ready(3)=1;if length(ready)==5,check_u1,else check_u2,end;',...
        'end,clear value,'];

uicontrol(fig,'Style','Pushbutton','Position',[300 125 75 20],...
          'String','OK','Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[300 75 75 20],...
          'String','Cancel','UserData',k0,...
          'Callback','k0=get(gco,''UserData'');close(gcf)')
clear handle fig screen call
