if ~isempty(findobj('Name','Length of simulations'))
   figure(findobj('Name','Length of simulations'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','Length of simulations');
axis off

handle(1) = text(0,0.8,'The length of the simulation:');
handle(2) = text(0.45,0.55,'s');
set(handle,'HorizontalAlignment','left')

uicontrol(fig,'Style','edit','Position',[105 100 75 20],'UserData','len_of_sim',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'String',num2str(time))

call = ['value=str2num(get(findobj(''UserData'',''len_of_sim''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'elseif value<=0,errormes(''time<0''),',...
        'else time=value;close(gcf),',...
          'set(findobj(''Label'',''Length of simulation''),''Checked'',''on''),',...
          'ready(4)=1;if length(ready)==5,check_u1,else check_u2,end;',...
        'end,clear value,'];

uicontrol(fig,'Style','Pushbutton','Position',[300 125 75 20],...
          'String','OK','Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[300 75 75 20],...
          'String','Cancel','UserData',time,...
          'Callback','time=get(gco,''UserData'');close(gcf)')
clear handle fig screen call
