if ~isempty(findobj('Name','Initial state'))
   figure(findobj('Name','Initial state'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','Initial state');
axis off

handle(1) = text(0,0.7,'The initial state:');
handle(2) = text(0,0.42,'y(0) = ');
set(handle,'HorizontalAlignment','left')

uicontrol(fig,'Style','edit','Position',[110 80 75 20],'UserData','y0',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'String',num2str(y0))

call = ['value=str2num(get(findobj(''UserData'',''y0''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else y0=value;close(gcf),',...
          'set(findobj(''Label'',''Initial state''),''Checked'',''on''),',...
          'ready(2)=1;if length(ready)==5,check_u1,else check_u2,end;',...
        'end,clear value,'];

uicontrol(fig,'Style','Pushbutton','Position',[300 125 75 20],...
          'String','OK','Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[300 75 75 20],...
          'String','Cancel','UserData',y0,...
          'Callback','y0=get(gco,''UserData'');close(gcf)')
clear handle fig screen call
