function [] = var_pp(y,u,k)

if ~isempty(findobj('Name','Calculated variables gallery'))
  close(findobj('Name','Calculated variables gallery'))
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[screen(3)/2-250 screen(4)/2-175 500 350],'Resize','off',...
        'Name','Calculated variables gallery');
axis off


y = y(:)';
u = u(:)';
k = k(:)';

handle = text(0.1,1,'Output');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[30 70 140 240],...
          'String',y,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''listbox''),''Value'',get(gco,''Value''))');

handle = text(0.5,1,'Input');
set(handle,'HorizontalAlignment','center') 	 	 
uicontrol('Style','listbox','Position',[180 70 140 240],...
          'String',u,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''listbox''),''Value'',get(gco,''Value''))');

handle = text(0.85,1,'k');
set(handle,'HorizontalAlignment','center')
uicontrol('Style','listbox','Position',[330 70 140 240],...
          'String',k,'UserData','listbox','BackGroundColor',[1 1 1],'CallBack',...
          'set(findobj(''UserData'',''listbox''),''Value'',get(gco,''Value''))');


uicontrol('Style','Pushbutton','String','Close',...
          'Position',[210 20 80 20],...
          'Callback','close(gcf)')
          
